GDB (xrefs)

Classes | Macros | Functions
/tmp/gdb-8.1/gdb/gdb_obstack.h File Reference
`#include "obstack.h"`

Go to the source code of this file.

## Classes
struct | auto_obstack

## Macros
#define | OBSTACK_ZALLOC(OBSTACK, TYPE) ((TYPE *) memset (obstack_alloc ((OBSTACK), sizeof (TYPE)), 0, sizeof (TYPE)))
#define | OBSTACK_CALLOC(OBSTACK, NUMBER, TYPE)
#define | obstack_chunk_alloc xmalloc
#define | obstack_chunk_free xfree
#define | obstack_grow_str(OBSTACK, STRING) obstack_grow (OBSTACK, STRING, strlen (STRING))
#define | obstack_grow_str0(OBSTACK, STRING) obstack_grow0 (OBSTACK, STRING, strlen (STRING))
#define | obstack_grow_wstr(OBSTACK, WSTRING) obstack_grow (OBSTACK, WSTRING, sizeof (gdb_wchar_t) * gdb_wcslen (WSTRING))

## Functions
char * | obconcat (struct obstack *obstackp,...) ATTRIBUTE_SENTINEL
char * | obstack_strdup (struct obstack *obstackp, const char *string)

## Macro Definition Documentation

## ◆ OBSTACK_CALLOC

#define OBSTACK_CALLOC | ( |  | OBSTACK,
|  |  | NUMBER,
|  |  | TYPE
| ) |  |

Value:
((TYPE *) memset (obstack_alloc ((OBSTACK), (NUMBER) * sizeof (TYPE)), \
0, (NUMBER) * sizeof (TYPE)))
memset
void * memset(T *s, int c, size_t n)=delete
rcuh_kind::TYPE

Definition at line 30 of file gdb_obstack.h.

Referenced by arm_exidx_new_objfile(), arm_record_special_symbol(), basic_type(), build_objfile_section_table(), dw2_get_real_path(), objfile_type(), ocl_enable_break(), open_and_init_dwp_file(), rs6000_builtin_type(), and spu_get_overlay_table().

## ◆ obstack_chunk_alloc

#define obstack_chunk_alloc xmalloc

Definition at line 43 of file gdb_obstack.h.

## ◆ obstack_chunk_free

#define obstack_chunk_free xfree

Definition at line 44 of file gdb_obstack.h.

## ◆ obstack_grow_str

#define obstack_grow_str | ( |  | OBSTACK,
|  |  | STRING
| ) |  | obstack_grow (OBSTACK, STRING, strlen (STRING))

Definition at line 46 of file gdb_obstack.h.

Referenced by c_parse_escape(), convert_ast_to_type(), convert_between_encodings(), convert_name(), go_demangle(), obconcat(), rs6000_aix_ld_info_to_xml(), rs6000_aix_shared_library_to_xml(), VEC(), windows_core_xfer_shared_libraries(), windows_xfer_shared_libraries(), windows_xfer_shared_library(), and yylex().

## ◆ obstack_grow_str0

#define obstack_grow_str0 | ( |  | OBSTACK,
|  |  | STRING
| ) |  | obstack_grow0 (OBSTACK, STRING, strlen (STRING))

Definition at line 48 of file gdb_obstack.h.

Referenced by convert_ast_to_type(), convert_name(), elf_gnu_ifunc_record_cache(), go_demangle(), linux_make_mappings_callback(), printf_wide_c_string(), rs6000_aix_ld_info_to_xml(), ui_printf(), windows_core_xfer_shared_libraries(), and windows_xfer_shared_libraries().

## ◆ obstack_grow_wstr

#define obstack_grow_wstr | ( |  | OBSTACK,
|  |  | WSTRING
| ) |  | obstack_grow (OBSTACK, WSTRING, sizeof (gdb_wchar_t) * gdb_wcslen (WSTRING))

Definition at line 51 of file gdb_obstack.h.

Referenced by generic_printstr(), print_converted_chars_to_obstack(), and print_wchar().

## ◆ OBSTACK_ZALLOC

#define OBSTACK_ZALLOC | ( |  | OBSTACK,
|  |  | TYPE
| ) |  | ((TYPE *) memset (obstack_alloc ((OBSTACK), sizeof (TYPE)), 0, sizeof (TYPE)))

Definition at line 27 of file gdb_obstack.h.

Referenced by add_type_unit(), alloc_type(), alloc_type_instance(), allocate_block(), allocate_compunit_symtab(), allocate_global_block(), allocate_symbol(), allocate_symtab(), allocate_template_symbol(), arm_exidx_new_objfile(), arm_record_special_symbol(), ast_basic_type(), ast_call_ish(), ast_cast(), ast_compound_assignment(), ast_dliteral(), ast_literal(), ast_operation(), ast_path(), ast_range(), ast_string(), ast_struct(), ast_structop(), ast_structop_anonymous(), bsd_uthread_init(), create_cu_from_index_list(), create_cus_hash_table(), create_debug_type_hash_table(), create_dwo_unit_in_dwp_v1(), create_dwo_unit_in_dwp_v2(), create_dwp_hash_table(), create_signatured_type_table_from_debug_names(), create_signatured_type_table_from_index(), create_type_unit_group(), dwarf2_frame_init(), dwarf2_get_dwz_file(), dwarf2_initialize_objfile(), frame_base_init(), frame_unwind_init(), open_and_init_dwo_file(), open_and_init_dwp_file(), read_variable(), reggroups_init(), remote_g_packet_data_init(), solib_init(), solib_svr4_init(), and tdesc_data_init().

## Function Documentation

## ◆ obconcat()

char* obconcat | ( | struct obstack * | obstackp,
|  |  | ...
| ) |  |

Definition at line 29 of file gdb_obstack.c.

References obstack_grow_str.

Referenced by crate_name(), define_symbol(), parse_symbol(), read_cpp_abbrev(), read_import_statement(), read_member_functions(), rust_concat3(), and typename_concat().

## ◆ obstack_strdup()

char* obstack_strdup | ( | struct obstack * | obstackp,
|  | const char * | string
| ) |  |

Definition at line 52 of file gdb_obstack.c.

Referenced by gdbarch_obstack_strdup().